Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3711)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3712)
@@ -15,6 +15,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2015-2018 Czech Technical University in Prague
-! Copyright 2015-2018 Institute of Computer Science of the 
+! Copyright 2015-2019 Czech Technical University in Prague
+! Copyright 2015-2019 Institute of Computer Science of the 
 !                     Czech Academy of Sciences, Prague
 ! Copyright 1997-2019 Leibniz Universitaet Hannover
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! Formatting and clean-up (rvtils)
+! 
+! 3710 2019-01-30 18:11:19Z suehring
 ! Check if building type is set within a valid range.
 ! 
@@ -477,11 +480,11 @@
 
     REAL(wp), PARAMETER ::                     &
-              b_ch               = 6.04_wp,    & ! Clapp & Hornberger exponent
-              lambda_h_green_dry = 0.19_wp,    & ! heat conductivity for dry soil   
-              lambda_h_green_sm  = 3.44_wp,    & ! heat conductivity of the soil matrix
-              lambda_h_water     = 0.57_wp,    & ! heat conductivity of water
-              psi_sat            = -0.388_wp,  & ! soil matrix potential at saturation
-              rho_c_soil         = 2.19E6_wp,  & ! volumetric heat capacity of soil
-              rho_c_water        = 4.20E6_wp !,  & ! volumetric heat capacity of water
+              b_ch               = 6.04_wp,    &  !< Clapp & Hornberger exponent
+              lambda_h_green_dry = 0.19_wp,    &  !< heat conductivity for dry soil   
+              lambda_h_green_sm  = 3.44_wp,    &  !< heat conductivity of the soil matrix
+              lambda_h_water     = 0.57_wp,    &  !< heat conductivity of water
+              psi_sat            = -0.388_wp,  &  !< soil matrix potential at saturation
+              rho_c_soil         = 2.19E6_wp,  &  !< volumetric heat capacity of soil
+              rho_c_water        = 4.20E6_wp      !< volumetric heat capacity of water
 !               m_max_depth        = 0.0002_wp     ! Maximum capacity of the water reservoir (m)
 
@@ -489,11 +492,11 @@
 !-- Soil parameters I           alpha_vg,      l_vg_green,    n_vg, gamma_w_green_sat
     REAL(wp), DIMENSION(0:3,1:7), PARAMETER :: soil_pars = RESHAPE( (/     &
-                                 3.83_wp,  1.250_wp, 1.38_wp,  6.94E-6_wp, & ! 1
-                                 3.14_wp, -2.342_wp, 1.28_wp,  1.16E-6_wp, & ! 2
-                                 0.83_wp, -0.588_wp, 1.25_wp,  0.26E-6_wp, & ! 3
-                                 3.67_wp, -1.977_wp, 1.10_wp,  2.87E-6_wp, & ! 4
-                                 2.65_wp,  2.500_wp, 1.10_wp,  1.74E-6_wp, & ! 5
-                                 1.30_wp,  0.400_wp, 1.20_wp,  0.93E-6_wp, & ! 6
-                                 0.00_wp,  0.00_wp,  0.00_wp,  0.57E-6_wp  & ! 7
+                                 3.83_wp,  1.250_wp, 1.38_wp,  6.94E-6_wp, &  !< soil 1
+                                 3.14_wp, -2.342_wp, 1.28_wp,  1.16E-6_wp, &  !< soil 2
+                                 0.83_wp, -0.588_wp, 1.25_wp,  0.26E-6_wp, &  !< soil 3
+                                 3.67_wp, -1.977_wp, 1.10_wp,  2.87E-6_wp, &  !< soil 4
+                                 2.65_wp,  2.500_wp, 1.10_wp,  1.74E-6_wp, &  !< soil 5
+                                 1.30_wp,  0.400_wp, 1.20_wp,  0.93E-6_wp, &  !< soil 6
+                                 0.00_wp,  0.00_wp,  0.00_wp,  0.57E-6_wp  &  !< soil 7
                                  /), (/ 4, 7 /) )
 
@@ -501,29 +504,30 @@
 !-- Soil parameters II              swc_sat,     fc,   wilt,    swc_res  
     REAL(wp), DIMENSION(0:3,1:7), PARAMETER :: m_soil_pars = RESHAPE( (/ &
-                                 0.403_wp, 0.244_wp, 0.059_wp, 0.025_wp, & ! 1
-                                 0.439_wp, 0.347_wp, 0.151_wp, 0.010_wp, & ! 2
-                                 0.430_wp, 0.383_wp, 0.133_wp, 0.010_wp, & ! 3
-                                 0.520_wp, 0.448_wp, 0.279_wp, 0.010_wp, & ! 4
-                                 0.614_wp, 0.541_wp, 0.335_wp, 0.010_wp, & ! 5
-                                 0.766_wp, 0.663_wp, 0.267_wp, 0.010_wp, & ! 6
-                                 0.472_wp, 0.323_wp, 0.171_wp, 0.000_wp  & ! 7
+                                 0.403_wp, 0.244_wp, 0.059_wp, 0.025_wp, &  !< soil 1
+                                 0.439_wp, 0.347_wp, 0.151_wp, 0.010_wp, &  !< soil 2
+                                 0.430_wp, 0.383_wp, 0.133_wp, 0.010_wp, &  !< soil 3
+                                 0.520_wp, 0.448_wp, 0.279_wp, 0.010_wp, &  !< soil 4
+                                 0.614_wp, 0.541_wp, 0.335_wp, 0.010_wp, &  !< soil 5
+                                 0.766_wp, 0.663_wp, 0.267_wp, 0.010_wp, &  !< soil 6
+                                 0.472_wp, 0.323_wp, 0.171_wp, 0.000_wp  &  !< soil 7
                                  /), (/ 4, 7 /) )
-                                
-    !   value 9999999.9_wp -> generic available or user-defined value must be set
-!   otherwise -> no generic variable and user setting is optional
-    REAL(wp) :: alpha_vangenuchten = 9999999.9_wp,      & !< NAMELIST alpha_vg
-                field_capacity = 9999999.9_wp,          & !< NAMELIST fc
-                hydraulic_conductivity = 9999999.9_wp,  & !< NAMELIST gamma_w_green_sat
-                lambda_h_green_sat = 0.0_wp,            & !< heat conductivity for saturated soil
-                l_vangenuchten = 9999999.9_wp,          & !< NAMELIST l_vg
-                n_vangenuchten = 9999999.9_wp,          & !< NAMELIST n_vg
-                residual_moisture = 9999999.9_wp,       & !< NAMELIST m_res
-                saturation_moisture = 9999999.9_wp,     & !< NAMELIST m_sat
-                wilting_point = 9999999.9_wp!,           & !< NAMELIST m_wilt
+!
+!-- value 9999999.9_wp -> generic available or user-defined value must be set
+!-- otherwise -> no generic variable and user setting is optional
+    REAL(wp) :: alpha_vangenuchten = 9999999.9_wp,      &  !< NAMELIST alpha_vg
+                field_capacity = 9999999.9_wp,          &  !< NAMELIST fc
+                hydraulic_conductivity = 9999999.9_wp,  &  !< NAMELIST gamma_w_green_sat
+                lambda_h_green_sat = 0.0_wp,            &  !< heat conductivity for saturated soil
+                l_vangenuchten = 9999999.9_wp,          &  !< NAMELIST l_vg
+                n_vangenuchten = 9999999.9_wp,          &  !< NAMELIST n_vg
+                residual_moisture = 9999999.9_wp,       &  !< NAMELIST m_res
+                saturation_moisture = 9999999.9_wp,     &  !< NAMELIST m_sat
+                wilting_point = 9999999.9_wp               !< NAMELIST m_wilt
     
-
+!
 !-- configuration parameters (they can be setup in PALM config)
     LOGICAL ::  usm_material_model = .TRUE.        !< flag parameter indicating wheather the  model of heat in materials is used
-    LOGICAL ::  usm_anthropogenic_heat = .FALSE.   !< flag parameter indicating wheather the anthropogenic heat sources (e.g.transportation) are used
+    LOGICAL ::  usm_anthropogenic_heat = .FALSE.   !< flag parameter indicating wheather the anthropogenic heat sources
+                                                   !< (e.g.transportation) are used
     LOGICAL ::  force_radiation_call_l = .FALSE.   !< flag parameter for unscheduled radiation model calls
     LOGICAL ::  indoor_model = .FALSE.             !< whether to use the indoor model
